CREATE TABLE fun_bc_connections (
    CONNECTION_ID               NUMBER(18, 0) ,
    CONNECTION_NAME             VARCHAR2(800)     NOT NULL,
    CONNECTION_DESCRIPTION      VARCHAR2(2000),
    CONNECTION_TYPE_ID          NUMBER(18, 0)     NOT NULL,
    ENDPOINT_URL                VARCHAR2(2000)    NOT NULL,
    ALTERNATIVE_ENDPOINT_URL    VARCHAR2(2000),
    USER_NAME                   VARCHAR2(256) ,
    USER_KEY                    VARCHAR2(800) ,
    IDENTITY_SERVICE_URL        VARCHAR2(2000),
    CLIENT_ID                   VARCHAR2(800) ,
    CLIENT_SECRET               VARCHAR2(800) ,
    PRIMARY_AUDIENCE_URL        VARCHAR2(2000),
    ALLOWED_SCOPE_CODE          VARCHAR2(120) ,
    ACCESS_TOKEN                VARCHAR2(80)  ,
    REFRESH_TOKEN               VARCHAR2(2000),
    ACTIVE_FLAG                 VARCHAR2(4)       NOT NULL,
    CHANNEL_NAME                VARCHAR2(800) ,
    CHAINCODE_NAME              VARCHAR2(800) ,
    CHAINCODE_VERSION           VARCHAR2(120) ,
    APPLICATION_ID              NUMBER(18, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    ATTRIBUTE16                 VARCHAR2(600) ,
    ATTRIBUTE17                 VARCHAR2(600) ,
    ATTRIBUTE18                 VARCHAR2(600) ,
    ATTRIBUTE19                 VARCHAR2(600) ,
    ATTRIBUTE20                 VARCHAR2(600) ,
    ATTRIBUTE21                 VARCHAR2(600) ,
    ATTRIBUTE22                 VARCHAR2(600) ,
    ATTRIBUTE23                 VARCHAR2(600) ,
    ATTRIBUTE24                 VARCHAR2(600) ,
    ATTRIBUTE25                 VARCHAR2(600) ,
    ATTRIBUTE26                 VARCHAR2(4000),
    ATTRIBUTE27                 VARCHAR2(4000),
    ATTRIBUTE28                 VARCHAR2(4000),
    ATTRIBUTE29                 VARCHAR2(4000),
    ATTRIBUTE30                 VARCHAR2(4000),
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    CONNECTION_ID               NUMBER(18, 0) ,
    CONNECTION_NAME             VARCHAR2(800)     NOT NULL,
    CONNECTION_DESCRIPTION      VARCHAR2(2000),
    CONNECTION_TYPE_ID          NUMBER(18, 0)     NOT NULL,
    ENDPOINT_URL                VARCHAR2(2000)    NOT NULL,
    ALTERNATIVE_ENDPOINT_URL    VARCHAR2(2000),
    USER_NAME                   VARCHAR2(256) ,
    USER_KEY                    VARCHAR2(800) ,
    IDENTITY_SERVICE_URL        VARCHAR2(2000),
    CLIENT_ID                   VARCHAR2(800) ,
    CLIENT_SECRET               VARCHAR2(800) ,
    PRIMARY_AUDIENCE_URL        VARCHAR2(2000),
    ALLOWED_SCOPE_CODE          VARCHAR2(120) ,
    ACCESS_TOKEN                VARCHAR2(80)  ,
    REFRESH_TOKEN               VARCHAR2(2000),
    ACTIVE_FLAG                 VARCHAR2(4)       NOT NULL,
    CHANNEL_NAME                VARCHAR2(800) ,
    CHAINCODE_NAME              VARCHAR2(800) ,
    CHAINCODE_VERSION           VARCHAR2(120) ,
    APPLICATION_ID              NUMBER(18, 0)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY          VARCHAR2(120) ,
    ATTRIBUTE1                  VARCHAR2(600) ,
    ATTRIBUTE2                  VARCHAR2(600) ,
    ATTRIBUTE3                  VARCHAR2(600) ,
    ATTRIBUTE4                  VARCHAR2(600) ,
    ATTRIBUTE5                  VARCHAR2(600) ,
    ATTRIBUTE6                  VARCHAR2(600) ,
    ATTRIBUTE7                  VARCHAR2(600) ,
    ATTRIBUTE8                  VARCHAR2(600) ,
    ATTRIBUTE9                  VARCHAR2(600) ,
    ATTRIBUTE10                 VARCHAR2(600) ,
    ATTRIBUTE11                 VARCHAR2(600) ,
    ATTRIBUTE12                 VARCHAR2(600) ,
    ATTRIBUTE13                 VARCHAR2(600) ,
    ATTRIBUTE14                 VARCHAR2(600) ,
    ATTRIBUTE15                 VARCHAR2(600) ,
    ATTRIBUTE16                 VARCHAR2(600) ,
    ATTRIBUTE17                 VARCHAR2(600) ,
    ATTRIBUTE18                 VARCHAR2(600) ,
    ATTRIBUTE19                 VARCHAR2(600) ,
    ATTRIBUTE20                 VARCHAR2(600) ,
    ATTRIBUTE21                 VARCHAR2(600) ,
    ATTRIBUTE22                 VARCHAR2(600) ,
    ATTRIBUTE23                 VARCHAR2(600) ,
    ATTRIBUTE24                 VARCHAR2(600) ,
    ATTRIBUTE25                 VARCHAR2(600) ,
    ATTRIBUTE26                 VARCHAR2(4000),
    ATTRIBUTE27                 VARCHAR2(4000),
    ATTRIBUTE28                 VARCHAR2(4000),
    ATTRIBUTE29                 VARCHAR2(4000),
    ATTRIBUTE30                 VARCHAR2(4000),
    ATTRIBUTE_DATE1             DATE          ,
    ATTRIBUTE_DATE2             DATE          ,
    ATTRIBUTE_DATE3             DATE          ,
    ATTRIBUTE_DATE4             DATE          ,
    ATTRIBUTE_DATE5             DATE          ,
    ATTRIBUTE_NUMBER1           NUMBER        ,
    ATTRIBUTE_NUMBER2           NUMBER        ,
    ATTRIBUTE_NUMBER3           NUMBER        ,
    ATTRIBUTE_NUMBER4           NUMBER        ,
    ATTRIBUTE_NUMBER5           NUMBER        ,
    CONSTRAINT pk_fun_bc_connections PRIMARY KEY (CONNECTION_ID, CONNECTION_ID)
);
